Trigger Scout Run
curl --request POST \
--url https://api.ropes.ai/api/public/candidates/{candidateId}/scout \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form 'phone=<string>' \
--form 'linkedinUrl=<string>' \
--form 'githubUrl=<string>' \
--form 'resumes=<string>' \
--form resumes.items='@example-file'import requests
url = "https://api.ropes.ai/api/public/candidates/{candidateId}/scout"
files = { "resumes.items": ("example-file", open("example-file", "rb")) }
payload = {
"phone": "<string>",
"linkedinUrl": "<string>",
"githubUrl": "<string>",
"resumes": "<string>"
}
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('phone', '<string>');
form.append('linkedinUrl', '<string>');
form.append('githubUrl', '<string>');
form.append('resumes', '<string>');
form.append('resumes.items', '{
"fileName": "example-file"
}');
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
options.body = form;
fetch('https://api.ropes.ai/api/public/candidates/{candidateId}/scout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "processing",
"candidateIdentifier": "973325",
"message": "Scout run queued. Subscribe to the scout.completed webhook to be notified."
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Scout
Trigger Scout Run
Trigger a Scout screening run for an existing candidate. Returns 202 once queued; subscribe to the scout.completed webhook for results.
POST
/
api
/
public
/
candidates
/
{candidateId}
/
scout
Trigger Scout Run
Authorizations
Path Parameters
The unique identifier of the candidate
Body
multipart/form-data
The candidate's phone number, ideally in E.164 format.
URL of the candidate's LinkedIn profile.
URL of the candidate's GitHub profile.
Up to 10 resume files (PDF, DOC, or DOCX; max 10 MB each). Optional: without one, Scout verifies experience from LinkedIn and re-checks resumes from any prior run.
⌘I